Package ru.bitel.bgbilling.modules.vidimax.common.service

# Interface VidimaxService

public interface VidimaxService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ru.bitel.bgbilling.modules.vidimax.common.VidimaxTariff>`
  `activeTariffList(int contractId, boolean tv)`
  Запрос на получение активных тарифных планов, с сервера пойдет запрос к видимаксу, так как у нас этих данных нет.
  `List<ru.bitel.bgbilling.modules.vidimax.common.VidimaxCharge>`
  `chargeList(int contractId, Period period, Page page, jakarta.xml.ws.Holder<BigDecimal> holderTotalSum)`
  Получение списка расходов по договору.
  !!
  `ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData`
  `clientPairDataGet(int contractId)`
  Получить пользовательские данные.
  `void`
  `deleteClientPairData(int contractId)`
  Удаление пользовательских данных.
  `List<Charge>`
  `getTransactions(int contractId, Period period)`
  `MapHolder<Integer,IdTitle>`
  `serviceMap()`
  Получить мап, где в качестве ключа выступает код услуги видимакса(идет в расходе видимакса), а значение IdTitle где в свою очередь id - это код услуги биллинги на который будет вешаться расход видимакса, а title - описание.
  Если для соответсвующей услуги видимакса в конфиге не был установлен его личная наработка, то установится дефолтное значение, если и ее нет в конфиге то -1.
  `MapHolder<Integer,String>`
  `tariffMap()`
  Получить мап с их названием.
  `List<IdTitle>`
  `tariffsForPair()`
  `void`
  `updateClientPairData(ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData pairData)`
  Обновление/создание пользовательских данных.

- ## Method Details

  - ### getTransactions

    List<Charge> getTransactions(int contractId, Period period) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### chargeList

    List<ru.bitel.bgbilling.modules.vidimax.common.VidimaxCharge> chargeList(int contractId, Period period, Page page, jakarta.xml.ws.Holder<BigDecimal> holderTotalSum) throws ru.bitel.bgbilling.common.BGException
    Получение списка расходов по договору.
    !! Важно !! не стоит передавать page, если выборка производится не по месячно, передавайте null.
    Parameters:
      `contractId` - - код договора.
      `period` - - за какой период.
      `page` - - только для месячного периода.
      `holderTotalSum` - - содержит общую сумму всех расходов.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### clientPairDataGet

    ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData clientPairDataGet(int contractId) throws ru.bitel.bgbilling.common.BGException
    Получить пользовательские данные.
    Parameters:
      `contractId` - - код договора.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateClientPairData

    void updateClientPairData(ru.bitel.bgbilling.modules.vidimax.common.VidimaxClientPairData pairData) throws ru.bitel.bgbilling.common.BGException
    Обновление/создание пользовательских данных.
    Parameters:
      `pairData` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteClientPairData

    void deleteClientPairData(int contractId) throws Exception
    Удаление пользовательских данных.
    Parameters:
      `contractId` - - код договора.

  - ### activeTariffList

    List<ru.bitel.bgbilling.modules.vidimax.common.VidimaxTariff> activeTariffList(int contractId, boolean tv) throws ru.bitel.bgbilling.common.BGException
    Запрос на получение активных тарифных планов, с сервера пойдет запрос к видимаксу, так как у нас этих данных нет.
    Parameters:
      `contractId` - - код договора.
      `tv` - - если true, то тарифы тв, иначе тарифы видео по заказу
    Returns:

  - ### tariffsForPair

    List<IdTitle> tariffsForPair() throws ru.bitel.bgbilling.common.BGException
    Returns:
      - список тарифов для выбора абоненту до связывания.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### serviceMap

    MapHolder<Integer,IdTitle> serviceMap() throws ru.bitel.bgbilling.common.BGException
    Получить мап, где в качестве ключа выступает код услуги видимакса(идет в расходе видимакса), а значение IdTitle где в свою очередь id - это код услуги биллинги на который будет вешаться расход видимакса, а title - описание.
    Если для соответсвующей услуги видимакса в конфиге не был установлен его личная наработка, то установится дефолтное значение, если и ее нет в конфиге то -1. Если в конфиге не установлен title, то установится строка - код услуги видимакса. Мап может вообще не содержать услуг-у/и , если они не прописаны в конфиге.
    Returns:
    Throws:
      `Exception`
      `ru.bitel.bgbilling.common.BGException`

  - ### tariffMap

    MapHolder<Integer,String> tariffMap() throws ru.bitel.bgbilling.common.BGException
    Получить мап с их названием. Ключем является код тарифа видимакса.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`